## cimg 1.3.3

=== examples/Makefile ===
--- 
+++ 
@@ -84,7 +84,7 @@
 #---------------------------------
 # Set correct variables and paths
 #---------------------------------
-CIMG_VERSION = 1.32
+CIMG_VERSION = 1.33
 X11PATH      = /usr/X11R6
 CC           = g++
 CCVER        = `$(CC) -v 2>&1 | tail -n 1`
@@ -120,7 +120,7 @@
 ifeq ($(CC),icc)
 CIMG_OPT_CFLAGS = -O3 -ipo -no-prec-div
 else
-CIMG_OPT_CFLAGS = -O3 -ffast-math -fno-tree-pre
+CIMG_OPT_CFLAGS = -O3 -fno-tree-pre
 endif
 
 # Flags to enable OpenMP support.
@@ -286,16 +286,16 @@
 
 # Specific targets for the 'gmic_gimp' plug-in for GIMP.
 gmic_gimp.o: gmic.cpp gmic_def.h
-	$(CC) -I.. -o gmic_gimp.o -c gmic.cpp -Dgmic_gimp -Dgmic_minimal $(CIMG_OPT_CFLAGS) $(CIMG_FFTW3_CFLAGS) $(CIMG_PNG_CFLAGS)
+	$(CC) -o gmic_gimp.o -c gmic.cpp -Dcimg_build -Dgmic_gimp -Dgmic_minimal $(CIMG_OPT_CFLAGS) $(CIMG_FFTW3_CFLAGS) $(CIMG_PNG_CFLAGS)
 
 gmic_gimp: gmic_gimp.o gmic_gimp.cpp
-	$(CC) -I.. -I./plugins -o $(EXEPFX)gmic_gimp gmic_gimp.cpp gmic_gimp.o `gimptool-2.0 --cflags` `gimptool-2.0 --libs` -lpthread $(CIMG_OPT_FLAGS) $(CIMG_FFTW3_LDFLAGS) $(CIMG_PNG_LDFLAGS) $(CIMG_GIMP_CFLAGS)
+	$(CC) -o $(EXEPFX)gmic_gimp gmic_gimp.cpp gmic_gimp.o -Dcimg_build `gimptool-2.0 --cflags` `gimptool-2.0 --libs` -lpthread $(CIMG_OPT_FLAGS) $(CIMG_FFTW3_LDFLAGS) $(CIMG_PNG_LDFLAGS) $(CIMG_GIMP_CFLAGS)
 
 # Specific targets for 'gmic'.
-gmic_def: gmic_def.raw
-	\gmic -v- -type char gmic_def.raw,`du -Db gmic_def.raw | awk '{print $$1}'` -o -.h | sed 's/unnamed/gmic_def/' | sed 's/ \};/, 0 \};\n\nunsigned int size_data_gmic_def = sizeof(data_gmic_def);\n/g' > gmic_def.h
+gmic_def: gmic_def.gmic
+	cat gmic_def.gmic | \gmic -v - -type char -.raw,`du -Db gmic_def.gmic | awk '{print $$1}'` -o -.h | sed 's/unnamed/gmic_def/' | sed 's/ \};/, 0 \};\n\nunsigned int size_data_gmic_def = sizeof(data_gmic_def);\n/g' > gmic_def.h
 	@echo "#ifdef gmic_gimp" >> gmic_def.h
-	\gmic -v- -type uchar ../html/img/logoGMIC.ppm -permute cxyz -o -.h | sed 's/unnamed/gmic_logo/' >> gmic_def.h
+	\gmic -v - ../html/img/logoGMIC.ppm -permute cxyz -type uchar -o -.h | sed 's/unnamed/gmic_logo/' >> gmic_def.h
 	@echo >>gmic_def.h
 	@echo "unsigned int size_data_logo = sizeof(data_gmic_logo);" >> gmic_def.h
 	@echo "#endif" >> gmic_def.h
@@ -305,11 +305,10 @@
 	@echo
 	@echo "** Compiling 'gmic ($(CIMG_VERSION))' with '$(CCVER)'"
 	@echo
-	$(CC) -o gmic_bool.o -c gmic.cpp -I. -Dgmic_separate_compilation -Dgmic_bool $(CFLAGS) $(CONF_CFLAGS)
+	$(CC) -o gmic_bool.o -c gmic.cpp -I. -Dcimg_build -Dgmic_separate_compilation -Dgmic_bool $(CFLAGS) $(CONF_CFLAGS)
 gmic_uchar.o: gmic.cpp
-	$(CC) -o gmic_uchar.o -c gmic.cpp -I. -Dgmic_separate_compilation -Dgmic_uchar $(CFLAGS) $(CONF_CFLAGS)
+	$(CC) -o gmic_uchar.o -c gmic.cpp -I. -Dcimg_build -Dgmic_separate_compilation -Dgmic_uchar $(CFLAGS) $(CONF_CFLAGS)
 gmic_char.o: gmic.cpp
-	$(CC) -o gmic_char.o -c gmic.cpp -I. -Dgmic_separate_compilation -Dgmic_char $(CFLAGS) $(CONF_CFLAGS)
+	$(CC) -o gmic_char.o -c gmic.cpp -I. -Dcimg_build -Dgmic_separate_compilation -Dgmic_char $(CFLAGS) $(CONF_CFLAGS)
 gmic_ushort.o: gmic.cpp
-	$(CC) -o gmic_ushort.o -c gmic.cpp -I. -Dgmic_separate_compilation -Dgmic_ushort $(CFLAGS) $(CONF_CFLAGS)
-gmic_short.o: gmic.cpp
+	$(CC) -o gmic_ushort.o -c gmic.cpp -I. -Dcimg_build -Dgmic_separate_compilation -Dgmic_ushort $(CFLAGS) $(CONF_CFLAGS)
