## cimg 1.3.9

=== examples/Makefile ===
--- 
+++ 
@@ -84,7 +84,7 @@
 #---------------------------------
 # Set correct variables and paths
 #---------------------------------
-CIMG_VERSION = 1.33
+CIMG_VERSION = 1.3.9
 X11PATH      = /usr/X11R6
 CC           = g++
 CCVER        = `$(CC) -v 2>&1 | tail -n 1`
@@ -139,19 +139,18 @@
 CIMG_X11_CFLAGS = -I$(X11PATH)/include
 CIMG_X11_LDFLAGS = -L$(X11PATH)/lib -lpthread -lX11
 
+# Flags to enable fast image display, using the XSHM library (when using X11).
+# !!! Seems to randomly crash when used on MacOSX, so do not use it on MacOSX !!!
+CIMG_XSHM_CFLAGS = -Dcimg_use_xshm
+CIMG_XSHM_LDFLAGS = -lXext
+
 # Flags to enable GDI32 display (Windows native).
 CIMG_GDI32_CFLAGS = -mwindows
 CIMG_GDI32_LDFLAGS = -lgdi32
 
-# Flags to enable Carbon-based display (MacOSX native).
-CIMG_CARBON_CFLAGS = -Dcimg_display=3 -framework Carbon
-
-# Flags to enable fast image display, using the XSHM library (when using X11).
-CIMG_XSHM_CFLAGS = -Dcimg_use_xshm
-CIMG_XSHM_LDFLAGS = -lXext
-
 # Flags to enable screen mode switching, using the XRandr library (when using X11).
 # ( http://www.x.org/wiki/Projects/XRandR )
+# !!! Not supported by the X11 server on MacOSX, so do not use it on MacOSX !!!
 CIMG_XRANDR_CFLAGS = -Dcimg_use_xrandr
 CIMG_XRANDR_LDFLAGS = -lXrandr
 
@@ -177,7 +176,7 @@
 
 # Flags to enable native support for various video files, using the FFMPEG library.
 # ( http://www.ffmpeg.org/ )
-CIMG_FFMPEG_CFLAGS = -Dcimg_use_ffmpeg
+CIMG_FFMPEG_CFLAGS = -Dcimg_use_ffmpeg -I/usr/include/libavcodec -I/usr/include/libavformat -I/usr/include/libswscale
 CIMG_FFMPEG_LDFLAGS = -lavcodec -lavformat -lswscale
 
 # Flags to enable native support for compressed .cimgz files, using the Zlib library.
@@ -225,10 +224,6 @@
 	@echo "** Compiling '$* ($(CIMG_VERSION))' with '`$(CC) -v 2>&1 | tail -n 1`'"
 	@echo
 	$(CC) -o $(EXEPFX)$* $< $(CFLAGS) $(LDFLAGS) $(CONF_CFLAGS) $(CONF_LDFLAGS)
-ifeq ($(MACOSX_APP),true)
-	mkdir -p $(EXEPFX)${*}.app/Contents/MacOS
-	mv $(EXEPFX)${*} $(EXEPFX)${*}.app/Contents/MacOS
-endif
 ifeq ($(STRIP_EXE),true)
 ifeq ($(MSYSTEM),MINGW32)
 	strip $(EXEPFX)$*.exe
@@ -240,11 +235,11 @@
 	@echo
 	@echo "CImg Library $(CIMG_VERSION) : Examples"
 	@echo "-----------------------------"
-	@echo "  > linux    : Linux/BSD/MacOSX target, X11 display, optimizations disabled."
-	@echo "  > dlinux   : Linux/BSD/MacOSX target, X11 display, debug mode."
-	@echo "  > olinux   : Linux/BSD/MacOSX target, X11 display, optimizations enabled."
-	@echo "  > mlinux   : Linus/BSD/MacOSX target, no display, minimal features, optimizations enabled."
-	@echo "  > Mlinux   : Linux/BSD/MacOSX target, X11 display, maximal features, optimizations enabled."
+	@echo "  > linux    : Linux/BSD target, X11 display, optimizations disabled."
+	@echo "  > dlinux   : Linux/BSD target, X11 display, debug mode."
+	@echo "  > olinux   : Linux/BSD target, X11 display, optimizations enabled."
+	@echo "  > mlinux   : Linus/BSD target, no display, minimal features, optimizations enabled."
+	@echo "  > Mlinux   : Linux/BSD target, X11 display, maximal features, optimizations enabled."
 	@echo
 	@echo "  > solaris  : Sun Solaris target, X11 display, optimizations disabled."
 	@echo "  > dsolaris : Sun Solaris target, X11 display, debug mode."
@@ -252,11 +247,11 @@
 	@echo "  > msolaris : Sun Solaris target, no display, minimal features, optimizations enabled."
 	@echo "  > Msolaris : Sun Solaris target, X11 display, maximal features, optimizations enabled."
 	@echo
-	@echo "  > macosx   : MacOSX target, Carbon display, optimizations disabled."
-	@echo "  > dmacosx  : MacOSX target, Carbon display, debug mode."
-	@echo "  > omacosx  : MacOSX target, Carbon display, optimizations enabled."
+	@echo "  > macosx   : MacOSX target, X11 display, optimizations disabled."
+	@echo "  > dmacosx  : MacOSX target, X11 display, debug mode."
+	@echo "  > omacosx  : MacOSX target, X11 display, optimizations enabled."
 	@echo "  > mmacosx  : MacOSX target, no display, minimal features, optimizations enabled."
-	@echo "  > Mmacosx  : MacOSX target, Carbon display, maximal features, optimizations enabled."
+	@echo "  > Mmacosx  : MacOSX target, X11 display, maximal features, optimizations enabled."
 	@echo
 	@echo "  > windows  : Windows target, GDI32 display, optimizations disabled."
 	@echo "  > dwindows : Windows target, GDI32 display, debug mode."
@@ -267,12 +262,12 @@
 	@echo "  > clean    : Clean generated files."
 	@echo
 	@echo "Choose your option :"
-	@read CHOICE; echo; make $$CHOICE; echo; echo "> Next time, you can bypass the menu by typing directly 'make $$CHOICE'"; echo;
+	@read CHOICE; echo; $(MAKE) $$CHOICE; echo; echo "> Next time, you can bypass the menu by typing directly 'make $$CHOICE'"; echo;
 
 all: $(CIMG_FILES)
 
 clean:
-	rm -rf *.app *.exe *.o *~ \#* CMakeFiles cmake_install.cmake CMakeCache.txt $(CIMG_FILES) $(CIMG_EXTRA_FILES)
+	rm -rf *.exe *.o *~ \#* $(CIMG_FILES) $(CIMG_EXTRA_FILES)
 ifneq ($(EXEPFX),)
 	rm -f $(EXEPFX)*
 endif
@@ -312,3 +307,4 @@
 	$(CC) -o gmic_char.o -c gmic.cpp -I. -Dcimg_build -Dgmic_separate_compilation -Dgmic_char $(CFLAGS) $(CONF_CFLAGS)
 gmic_ushort.o: gmic.cpp
 	$(CC) -o gmic_ushort.o -c gmic.cpp -I. -Dcimg_build -Dgmic_separate_compilation -Dgmic_ushort $(CFLAGS) $(CONF_CFLAGS)
+gmic_short.o: gmic.cpp
