=== debian/changelog ===
cimg (1.3.9-1ubuntu1) natty; urgency=low

  * debian/rules: added -lHalf to LDFLAGS when building examples. This is 
    required to avoid a FTBFS with binutils-gold

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 02 Nov 2010 06:15:32 +0100

cimg (1.3.9-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jul 2010 12:02:19 +0200

cimg (1.3.8-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.1 (no changes needed)
  * Source format 3.0 (quilt)
  * Versioned Build-Depends on quilt
  * debian/rules: Make sure, example gaussian_fit1d.cpp will be able
    to find itself as include
  * debian/cimg-dev.install: install plugins into /usr/include

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jul 2010 13:33:13 +0200

cimg (1.3.3-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.4 (no changes needed)
  * debian/get-orig-source upstream does not provide tarballs any
    more and switched back to zip only habit
  * debian/patches/10_examples.patch became useless

 -- Andreas Tille <tille@debian.org>  Thu, 11 Mar 2010 17:18:31 +0100

cimg (1.3.2-2) unstable; urgency=low

  * debian/watch: Re-enable zip download files.
  * Fix formating of long description
    Closes: #554465

 -- Andreas Tille <tille@debian.org>  Wed, 04 Nov 2009 22:16:41 +0100

cimg (1.3.2-1) unstable; urgency=low

  [ Daniel Leidert (dale) ]
  * New upstream release 1.3.2 (closes: #399846, #497672).

  * debian/control (XS-Vcs): Removed obsolete XS-prefix. Fixed Vcs-Svn to work
    with debcheckout.
    (Depends,Build-Depends-Indep): fftw3-dev -> libfftw3-dev transition
    (closes: #460024).
    (Description): Fixed typo (closes: #363199). Thanks to Simon Waters for the
    report.
  * debian/copyright: Updated.
  * debian/watch: Added.

  [ Andreas Tille ]
  * debian/control:
    - Took over package into Debian Science Team maintenance with permission
      of Maintainer:
        On Mon, Oct 12, 2009 at 09:07:32AM +0200, Christophe Prud'homme wrote:
        > ...
        > I am definitely fine with cimg-dev moving to Debian science.
    - Standards-Version: 3.8.3 (no changes needed)
    - Added Homepage field
    - took over Suggests from upstreams Debian packaging
    - Build-Depends: libgimp2.0-dev, quilt
  * debian/get-orig-source to repack zip to orig.tar.gz
  * Added html docs and examples to the package
  * debian/doc-base
  * debian/patches: Added a patch by upstream to enable building
    examples
  * Split into three packages: cimg-dev, cimg-doc, cimg-examples
  * Debhelper 7, short debian/rules file using dh

 -- Andreas Tille <tille@debian.org>  Fri, 09 Oct 2009 14:07:50 +0200

cimg (1.2.0.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix from Peter Green to prevent FTBFS with incorrect
    'long long' declaration. (Closes: #527694)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 20 Sep 2009 09:17:05 -0500

cimg (1.2.0.1-2) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/control: add myself as uploader
  * Bug fix: "FTBFS: ../CImg.h:226:35: error: X11/extensions/Xrandr.h: No
    such file or directory", thanks to Jérémy Bobbio (Closes: #422068).
  * Bug fix: "cimg-dev: forgotten dependency on xorg-dev", thanks to
    Olivier Schwander (Closes: #386260).

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 14 Jul 2007 19:16:17 +0200

cimg (1.2.0.1-1) unstable; urgency=low

  * New upstream release.

  * debian/patches/100_system_detection.diff:
    + Patch merged upstream, removing.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 20 Apr 2007 20:30:39 +0200

cimg (1.0.9-3) unstable; urgency=low

  * Use quilt for patch management.
  * debian/control:
    + Set maintainer to the pkg-scicomp team.
    + Set policy to 3.7.2.
    + Added Vcs fields.
  * debian/rules:
    + Removed the useless configure rule.

  * debian/patches/100_system_detection.diff:
    + New patch from old diff.gz. Check for "__linux__" instead of "linux".

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 01 Apr 2007 15:25:35 +0200

cimg (1.0.9-2) unstable; urgency=low

  * CImg.h:
    + Check for macro "__linux__" instead of "linux" (Closes: #319217).
  * debian/rules:
    + Clean up the examples directory after the build; we don't want them
      installed.
    + Fix permissions in examples/img/*.
    + Fixed a timestamp bug that caused examples to be built twice.
  * debian/copyright:
    + Copied the full license text in there.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 11 Nov 2005 15:23:36 +0100

cimg (1.0.9-1) unstable; urgency=low

  * New upstream release (Closes: #303413).
  * debian/control:
    + Set policy to 3.6.2.1.
  * debian/copyright:
    + Reflected license change to CeCILL (which allows redistribution under
      the GPL).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 12 Jul 2005 22:17:19 +0300

cimg (1.0.7-1) unstable; urgency=low

  * New upstream release.
  * CImg.h:
    + Imported a patch from CVS for broken matrix multiplications.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 19 Nov 2004 11:26:29 +0100

cimg (1.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 28 Sep 2004 11:51:57 +0200

cimg (1.0.5-2) unstable; urgency=low

  * Build-depend on libx11-dev (Closes: #264822).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 10 Aug 2004 17:34:58 +0200

cimg (1.0.5-1) unstable; urgency=low

  * Initial Release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 28 Jul 2004 15:27:12 +0200
