## cimg 1.4.6

=== debian/changelog ===
cimg (1.4.6-1) unstable; urgency=low

  * New upstream version
  * debian/patches/20_fix-missing-libX11-binutils-gold.patch
    fix FTBFS issue with binutils-gold because of missing libX11 when
    linking the examples version graph (thanks for the patch to
    Fabrice Coutadeur <fabricesp@ubuntu.com>)
    Closes: #603299
  * debian/control: Changed dependencies according to advise of upstream
    author
    - moved cimg-dev/Depends: libmagick++-dev, libfftw3-dev | fftw3-dev
      to cimg-dev/Suggests
    - added cimg-examples/Recommends: libmagick++-dev, libfftw3-dev | fftw3-dev
    - added cimg-dev/Suggests: libgimp2.0-dev, libcv-dev, libhighgui-dev
    - added cimg-examples/Recommends: libgimp2.0-dev, libcv-dev, libhighgui-dev
  * Added debian/README.source
  * Added debian/README.Debian.cimg-examples with explanation of upstream
    author regarding the usage of the Makefile target

 -- Andreas Tille <tille@debian.org>  Sat, 13 Nov 2010 15:33:17 +0100

cimg (1.4.4-1) unstable; urgency=low

  * New upstream version
  * Stabilized gzipped tarball's MD5 sum in ‘debian/get-orig-source’.
  * Make sure package builds with binutils-gold (Thanks for the patch
    provided by Fabrice Coutadeur <fabricesp@ubuntu.com>)
    Closes: #602166
  * debian/control
    - Build-Depends: libcv-dev, libhighgui-dev
    - Recommends: libcv-dev, libhighgui-dev
    - Depends: libmagick++-dev (instead of libmagick++9-dev)
  * debian/rules:
    - Make sure no object files from test build will make it into
      examples package
    - Do not compress .gmic file in examples

 -- Andreas Tille <tille@debian.org>  Thu, 04 Nov 2010 21:59:49 +0100
