=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: cimg
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Christophe Prud'homme <prudhomm@debian.org>,
  Andreas Tille <tille@debian.org>
 Build-Depends-Indep: doxygen, libx11-dev, libxrandr-dev, libmagick++-dev,
- libfftw3-dev | fftw3-dev, libgimp2.0-dev, quilt (>= 0.46-8)
+ libfftw3-dev | fftw3-dev, libgimp2.0-dev, quilt (>= 0.46-8), libcv-dev,
+ libhighgui-dev
 Build-Depends: debhelper (>= 7.1)
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/cimg/trunk/
@@ -16,9 +16,10 @@
 
 Package: cimg-dev
 Architecture: all
-Depends: libx11-dev, libxrandr-dev, libmagick++9-dev, libfftw3-dev | fftw3-dev,
- ${misc:Depends}, ${shlibs:Depends}
-Suggests: xmedcon, lapack3-dev, cimg-doc, cimg-examples
+Depends: libx11-dev, libxrandr-dev, ${misc:Depends}, ${shlibs:Depends}
+Suggests: xmedcon, lapack3-dev, cimg-doc, cimg-examples,
+ libmagick++-dev, libfftw3-dev | fftw3-dev, libgimp2.0-dev, libcv-dev,
+ libhighgui-dev
 Description: powerful image processing library
  The CImg Library is a C++ toolkit providing simple classes and functions
  to load, save, process and display images in your own C++ code. It consists
@@ -58,7 +59,8 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Recommends: cimg-dev
+Recommends: cimg-dev, libmagick++-dev, libfftw3-dev | fftw3-dev, libgimp2.0-dev,
+ libcv-dev, libhighgui-dev
 Enhances: cimg-dev, cimg-doc
 Description: examples for cimg-dev imaging library
  The CImg Library is a C++ toolkit providing simple classes and functions
