=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,8 @@
 	            --exclude=.pgm \
 	            --exclude=.ppm \
 	            --exclude=Makefile \
-	            --exclude=.raw
+	            --exclude=.raw \
+	            --exclude=.gmic
 
 override_dh_installchangelogs:
 	dh_installchangelogs --exclude=CHANGES.txt
@@ -27,6 +28,8 @@
 
 override_dh_auto_install:
 	cd examples && $(MAKE) Mlinux "LDFLAGS=-lm -lpthread -lHalf"
+	# After test build of examples remove remaining object files
+	cd examples && $(MAKE) clean
 
 CHANGEFILES=gaussian_fit1d.cpp \
             use_RGBclass.cpp
