## cimg 1.4.8

=== debian/changelog ===
cimg (1.4.8-1) unstable; urgency=low

  * New upstream version
  * debian/get-orig-source: deleted in favour of
     uscan --verbose --rename --repack --force-download
    in debian/rules
  * Debhelper 8 (control+compat)
  * Build-Depends: libminc-dev

 -- Andreas Tille <tille@debian.org>  Wed, 16 Mar 2011 08:02:36 +0100

cimg (1.4.7-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 22 Jan 2011 11:29:56 +0100
