=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  Andreas Tille <tille@debian.org>
 Build-Depends-Indep: doxygen, libx11-dev, libxrandr-dev, libmagick++-dev,
  libfftw3-dev | fftw3-dev, libgimp2.0-dev, quilt (>= 0.46-8), libcv-dev,
- libhighgui-dev
-Build-Depends: debhelper (>= 7.1)
+ libhighgui-dev, libminc-dev
+Build-Depends: debhelper (>= 8)
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/cimg/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/cimg/trunk/?rev=0&sc=0
