=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 examples=cimg-examples
 
 %:
-	dh --with quilt $@
+	dh $@ --with quilt
 
 override_dh_compress:
 	dh_compress --exclude=.shtml \
@@ -48,4 +48,4 @@
 	dh_clean 
 
 get-orig-source:
-	. debian/get-orig-source
+	uscan --verbose --rename --repack --force-download
