=== debian/watch ===
version=3
http://sf.net/cimg/CImg-([\d\.]+)\.(?:(?:tar\.gz)|zip)
