## cimg 1.4.9

=== debian/changelog ===
cimg (1.4.9-2build2) raring; urgency=low

  * REALLY Rebuild for opencv 2.4

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Wed, 05 Dec 2012 20:55:34 +0100

cimg (1.4.9-2build1) raring; urgency=low

  * rebuild for opencv 2.4

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 04 Dec 2012 21:37:27 +0100

cimg (1.4.9-2) unstable; urgency=low

  * debian/patches/30_fix-opencv-ftbfs.patch: Fix problem with opencv
    headers (thanks to Adrien Cunin <adri2000@ubuntu.com> for the patch)
    Closes: #652770
  * debian/control: Standards-Version: 3.9.3 (no changes needed)
  * debhelper 9 (control+compat)
  * no explicite mentioning of quilt (control+rules) which is unneeded
    for source format 3.0 quilt
  * debian/copyright:
    - Real e-mail address for contact
    - DEP5 formatted and verified using
        cme fix dpkg-copyright

 -- Andreas Tille <tille@debian.org>  Wed, 21 Mar 2012 06:28:27 +0100

cimg (1.4.9-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.2 (no changes needed)
  * debian/cimg-doc.doc-base: temporarily exclude CImg_reference.pdf
    which is rewritten according to upstream

 -- Andreas Tille <tille@debian.org>  Tue, 21 Jun 2011 14:12:51 +0200
