=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 examples=cimg-examples
 
 %:
-	dh $@ --with quilt
+	dh $@
 
 override_dh_compress:
 	dh_compress --exclude=.shtml \
